Page MenuHomePhabricator

tvar with underscore incomplete as insertable
Closed, ResolvedPublic

Description

When tvar name contains an underscore like for example "Linking_data" in the example <tvar|Linking_data>#Linking_data</>", the resulting insertable is "$Linking". It's expected this is "$Linking_data".

Cf. f55755b7f60058c16be4039b57360d094f972a93 for what's allowed as tvar; and b50d034fbd58c38d68ad0eb68ba22d654077dfda for how to add an insertable pattern.


Version: master
Severity: minor
URL: https://www.wikidata.org/wiki/Help:About_data

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:43 AM
bzimport set Reference to bz69746.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Aug 19 2014, 3:54 PM
Nemo_bis updated the task description. (Show Details)Jan 18 2015, 12:06 PM
Nemo_bis set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185672 had a related patch set uploaded (by Unicodesnowman):
Allow underscores in insertable tvars

https://gerrit.wikimedia.org/r/185672

Patch-For-Review

Change 185672 merged by jenkins-bot:
Allow underscores in insertable tvars

https://gerrit.wikimedia.org/r/185672

Nikerabbit closed this task as Resolved.Jan 30 2015, 9:13 PM
Nikerabbit claimed this task.